use crate::Serializable;

struct ClientRegistration {
    name: str
}

impl Serializable for ClientRegistration {
    fn serialize(&self) -> Vec<u8> {
        let mut buf: Vec<u8> = Vec::new();

        buf.extend_from_slice(self.name.as_bytes());

        buf
    }

    fn deserialize(buf: &[u8]) -> Self {
        String::from_utf8()
    }
}
